## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenModel

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenModel, org.eclipse.emf.common.notify.Notifier

    public interface GenModel

extends org.eclipse.emf.codegen.ecore.genmodel.GenModel, GenBase

A representation of the model object 'GenModel'.

The following features are supported:

- `Factory Methods`
- `Pluralized Getters`
- `Cache Adapter Support`
- `Safe Strings`
- `Invariant Prefix`

See Also:
  `GenModelPackage.getGenModel()`

Method Summary
`java.lang.String` `getInvariantPrefix()` Returns the value of the 'Invariant Prefix' attribute
`boolean` `isCacheAdapterSupport()` Returns the value of the 'Cache Adapter Support' attribute
`boolean` `isFactoryMethods()` Returns the value of the 'Factory Methods' attribute
`boolean` `isPluralizedGetters()` Returns the value of the 'Pluralized Getters' attribute
`boolean` `isSafeStrings()` Returns the value of the 'Safe Strings' attribute
`void` `setCacheAdapterSupport(boolean value)` Sets the value of the '`Cache Adapter Support`' attribute
`void` `setFactoryMethods(boolean value)` Sets the value of the '`Factory Methods`' attribute
`void` `setInvariantPrefix(java.lang.String value)` Sets the value of the '`Invariant Prefix`' attribute
`void` `setPluralizedGetters(boolean value)` Sets the value of the '`Pluralized Getters`' attribute
`void` `setSafeStrings(boolean value)` Sets the value of the '`Safe Strings`' attribute

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenModel

`addImport, addPseudoImport, computeMissingUsedGenPackages, create, createCodeFormatter, createGenAnnotation, createGenClass, createGenDataType, createGenEnum, createGenEnumLiteral, createGenFeature, createGenModel, createGenOperation, createGenPackage, createGenParameter, createGenTypeParameter, diagnose, emitSortedImports, findGenClassifier, findGenPackage, getActionBarContributorEmitter, getAdapterFactoryClassEmitter, getAllGenAndUsedGenPackagesWithClassifiers, getAllGenFeatures, getAllGenPackagesWithClassifiers, getAllGenPackagesWithConcreteClasses, getAllGenUsedAndStaticGenPackagesWithClassifiers, getAllUsedGenPackagesWithClassifiers, getBooleanFlagsField, getBooleanFlagsReservedBits, getBuildPropertiesEmitter, getClassEmitter, getClassNamePattern, getComplianceLevel, getCopyrightFieldLiteral, getCopyrightText, getDate, getDriverNumber, getEcoreGenPackage, getEditBuildPropertiesEmitter, getEditDirectory, getEditIconsDirectory, getEditManifestMFEmitter, getEditorAdvisorClassName, getEditorAdvisorEmitter, getEditorBuildPropertiesEmitter, getEditorDirectory, getEditorEmitter, getEditorIconsDirectory, getEditorManifestMFEmitter, getEditorPluginClass, getEditorPluginClassEmitter, getEditorPluginClassName, getEditorPluginDirectory, getEditorPluginID, getEditorPluginPackageName, getEditorPluginPropertiesEmitter, getEditorPluginVariables, getEditorPluginXMLEmitter, getEditorProjectDirectory, getEditorQualifiedPackageNames, getEditorRequiredPlugins, getEditorSourceFolders, getEditPluginClass, getEditPluginClassEmitter, getEditPluginClassName, getEditPluginDirectory, getEditPluginID, getEditPluginPackageName, getEditPluginPropertiesEmitter, getEditPluginVariables, getEditPluginXMLEmitter, getEditProjectDirectory, getEditQualifiedPackageNames, getEditRequiredPlugins, getEditResourceDelegateImportedPluginClassNames, getEditSourceFolders, getEffectiveModelPluginVariables, getEnumClassEmitter, getExtendedMetaData, getFacadeHelperClass, getFactoryClassEmitter, getFeatureDelegation, getFeatureMapWrapperClass, getFeatureMapWrapperInterface, getFeatureMapWrapperInternalInterface, getFilteredAllGenFeatures, getForeignModel, getGenPackages, getImportedName, getImporterID, getImportManager, getIndentation, getInterfaceNamePattern, getItemProviderAdapterFactoryEmitter, getItemProviderEmitter, getJControlModel, getLanguage, getLineDelimiter, getLocale, getMainGenModel, getManifestMFEmitter, getMergeRulesLocation, getMissingPackages, getModelDirectory, getModelName, getModelPluginClass, getModelPluginClassEmitter, getModelPluginClassName, getModelPluginID, getModelPluginPackageName, getModelPluginVariables, getModelProjectDirectory, getModelQualifiedPackageNames, getModelRequiredPlugins, getModelSourceFolders, getModelTestSuiteEmitter, getModelWizardEmitter, getNonExternalizedStringTag, getNonNLS, getNonNLS, getNonNLS, getNonNLS, getPackageClassEmitter, getPackageExampleEmitter, getPackageTestSuiteEmitter, getPluginXMLEmitter, getPropertyCategories, getPropertyCategoryKey, getProviderRootExtendsClass, getQualifiedEditorAdvisorClassName, getQualifiedEditorPluginClassName, getQualifiedEditPluginClassName, getQualifiedModelPluginClassName, getQualifiedTestSuiteClassName, getRedirection, getRelativeGenModelLocation, getResourceClassEmitter, getResourceFactoryClassEmitter, getRootExtendsClass, getRootExtendsInterface, getRootImplementsInterface, getRootImplementsInterfaceGenClass, getRuntimeVersion, getStaticGenPackages, getStaticPackages, getSwitchClassEmitter, getTemplateDirectory, getTemplatePluginVariables, getTestCaseEmitter, getTestsBuildPropertiesEmitter, getTestsDirectory, getTestsManifestMFEmitter, getTestsPluginID, getTestsPluginPropertiesEmitter, getTestsPluginVariables, getTestsPluginXMLEmitter, getTestsProjectDirectory, getTestsQualifiedPackageNames, getTestsRequiredPlugins, getTestsSourceFolders, getTestSuiteClass, getTestSuiteClassName, getTestSuitePackageName, getUsedGenPackages, getValidatorClassEmitter, getXMLEncodingChoices, getXMLNamespaceGenPackage, getXMLProcessorClassEmitter, getXMLTypeGenPackage, hasCopyrightField, hasEditorSupport, hasEditSupport, hasLocalGenModel, hasModelPluginClass, hasPluginSupport, hasTestSuiteClass, hasTestSupport, hasXMLDependency, initialize, isArrayAccessors, isBinaryCompatibleReflectiveMethods, isBooleanFlagsEnabled, isBundleManifest, isCodeFormatting, isColorProviders, isContainmentProxies, isCopyrightFields, isCreationCommands, isCreationIcons, isCreationSubmenus, isDynamicDelegation, isDynamicTemplates, isFontProviders, isForceOverwrite, isGenerateSchema, isMinimalReflectiveMethods, isNonNLSMarkers, isOptimizedHasChildren, isPackedEnums, isPublicConstructors, isReflectiveDelegation, isRichClientPlatform, isRuntimeCompatibility, isRuntimeJar, isSetEditDirectory, isSetEditorDirectory, isSetEditorPluginClass, isSetEditPluginClass, isSetRuntimeVersion, isSetTestsDirectory, isSetTestSuiteClass, isSuppressContainment, isSuppressedAnnotation, isSuppressEMFMetaData, isSuppressEMFModelTags, isSuppressEMFTypes, isSuppressGenModelAnnotations, isSuppressInterfaces, isSuppressNotification, isSuppressUnsettable, isTableProviders, isUpdateClasspath, isValidateModel, isVirtualDelegation, markImportLocation, markImportLocation, needsRuntimeCompatibility, reconcile, sameEditEditorProject, sameModelEditorProject, sameModelEditProject, sameModelTestsProject, setArrayAccessors, setBinaryCompatibleReflectiveMethods, setBooleanFlagsField, setBooleanFlagsReservedBits, setBundleManifest, setCanGenerate, setClassNamePattern, setCodeFormatterOptions, setCodeFormatting, setColorProviders, setComplianceLevel, setContainmentProxies, setCopyrightFields, setCopyrightText, setCreationCommands, setCreationIcons, setCreationSubmenus, setDynamicTemplates, setEditDirectory, setEditorDirectory, setEditorPluginClass, setEditorPluginID, setEditPluginClass, setEditPluginID, setFacadeHelperClass, setFeatureDelegation, setFeatureMapWrapperClass, setFeatureMapWrapperInterface, setFeatureMapWrapperInternalInterface, setFontProviders, setForceOverwrite, setGenerateSchema, setImporterID, setImportManager, setInterfaceNamePattern, setLanguage, setLineDelimiter, setMainGenModel, setMinimalReflectiveMethods, setModelDirectory, setModelName, setModelPluginClass, setModelPluginID, setNonExternalizedStringTag, setNonNLSMarkers, setOptimizedHasChildren, setPackedEnums, setProviderRootExtendsClass, setPublicConstructors, setRedirection, setReflectiveDelegation, setRichClientPlatform, setRootExtendsClass, setRootExtendsInterface, setRootImplementsInterface, setRuntimeCompatibility, setRuntimeJar, setRuntimeVersion, setSuppressContainment, setSuppressEMFMetaData, setSuppressEMFModelTags, setSuppressEMFTypes, setSuppressGenModelAnnotations, setSuppressInterfaces, setSuppressNotification, setSuppressUnsettable, setTableProviders, setTemplateDirectory, setTestsDirectory, setTestsPluginID, setTestSuiteClass, setUpdateClasspath, setValidateModel, unsetEditDirectory, unsetEditorDirectory, unsetEditorPluginClass, unsetEditPluginClass, unsetRuntimeVersion, unsetTestsDirectory, unsetTestSuiteClass, useClassOverrideAnnotation, useGenerics, validate`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isFactoryMethods

    boolean isFactoryMethods()

  Returns the value of the 'Factory Methods' attribute.

  If the meaning of the 'Factory Methods' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Factory Methods' attribute.
  See Also:
    `setFactoryMethods(boolean)`, `GenModelPackage.getGenModel_FactoryMethods()`

### setFactoryMethods

    void setFactoryMethods(boolean value)

  Sets the value of the '`Factory Methods`' attribute.

  Parameters:
    `value` - the new value of the 'Factory Methods' attribute.
  See Also:
    `isFactoryMethods()`

### isPluralizedGetters

    boolean isPluralizedGetters()

  Returns the value of the 'Pluralized Getters' attribute.

  If the meaning of the 'Pluralized Getters' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Pluralized Getters' attribute.
  See Also:
    `setPluralizedGetters(boolean)`, `GenModelPackage.getGenModel_PluralizedGetters()`

### setPluralizedGetters

    void setPluralizedGetters(boolean value)

  Sets the value of the '`Pluralized Getters`' attribute.

  Parameters:
    `value` - the new value of the 'Pluralized Getters' attribute.
  See Also:
    `isPluralizedGetters()`

### isCacheAdapterSupport

    boolean isCacheAdapterSupport()

  Returns the value of the 'Cache Adapter Support' attribute.

  If the meaning of the 'Cache Adapter Support' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Adapter Support' attribute.
  See Also:
    `setCacheAdapterSupport(boolean)`, `GenModelPackage.getGenModel_CacheAdapterSupport()`

### setCacheAdapterSupport

    void setCacheAdapterSupport(boolean value)

  Sets the value of the '`Cache Adapter Support`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Adapter Support' attribute.
  See Also:
    `isCacheAdapterSupport()`

### isSafeStrings

    boolean isSafeStrings()

  Returns the value of the 'Safe Strings' attribute.

  If the meaning of the 'Safe Strings' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Safe Strings' attribute.
  See Also:
    `setSafeStrings(boolean)`, `GenModelPackage.getGenModel_SafeStrings()`

### setSafeStrings

    void setSafeStrings(boolean value)

  Sets the value of the '`Safe Strings`' attribute.

  Parameters:
    `value` - the new value of the 'Safe Strings' attribute.
  See Also:
    `isSafeStrings()`

### getInvariantPrefix

    java.lang.String getInvariantPrefix()

  Returns the value of the 'Invariant Prefix' attribute.

  If the meaning of the 'Invariant Prefix' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Invariant Prefix' attribute.
  See Also:
    `setInvariantPrefix(String)`, `GenModelPackage.getGenModel_InvariantPrefix()`

### setInvariantPrefix

    void setInvariantPrefix(java.lang.String value)

  Sets the value of the '`Invariant Prefix`' attribute.

  Parameters:
    `value` - the new value of the 'Invariant Prefix' attribute.
  See Also:
    `getInvariantPrefix()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.